Resolve payment method from setup intent
GET
/billing/v1/payment-methods/from-setup-intentReturns the payment method ID associated with a setup intent
Authorization
Bearer Authorization<token>
In: header
Query Parameters
setup_intent_id*string
Setup intent ID
Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/billingv1.PaymentMethodIdResponse",
"$ref-value": {
"properties": {
"payment_method_id": {
"type": "string"
},
"setup_intent_id": {
"type": "string"
},
"status": {
"type": "string"
}
},
"type": "object"
}
}curl -X GET "https://api.rixl.com/billing/v1/payment-methods/from-setup-intent?setup_intent_id=string"OK
application/json
{
"$ref": "#/components/schemas/billingv1.PaymentMethodIdResponse",
"$ref-value": {
"properties": {
"payment_method_id": {
"type": "string"
},
"setup_intent_id": {
"type": "string"
},
"status": {
"type": "string"
}
},
"type": "object"
}
}